[arch-commits] Commit in mod_python/trunk (PKGBUILD compile.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Jul 10 15:40:54 EDT 2008


    Date: Thursday, July 10, 2008 @ 15:40:54
  Author: andyrtr
Revision: 4841

upgpkg: mod_python 3.3.1-3

Added:
  mod_python/trunk/compile.patch
Modified:
  mod_python/trunk/PKGBUILD

---------------+
 PKGBUILD      |   20 ++++++++++----------
 compile.patch |   11 +++++++++++
 2 files changed, 21 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-10 18:44:01 UTC (rev 4840)
+++ PKGBUILD	2008-07-10 19:40:54 UTC (rev 4841)
@@ -2,22 +2,22 @@
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=mod_python
 pkgver=3.3.1
-pkgrel=2
+pkgrel=3
 pkgdesc="an Apache module that embeds the Python interpreter within the server"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('APACHE')
 url="http://www.modpython.org/"
-depends=('apache>=2.2.0' 'python>=2.5-1')
+depends=('apache>=2.2.9-4' 'python>=2.5.2-5')
 install=mod_python.install
-source=(http://www.apache.org/dist/httpd/modpython/mod_python-$pkgver.tgz mod_python.patch apache22.patch)
-md5sums=('a3b0150176b726bd2833dac3a7837dc5' '800c9d65cfef8105e9d1729653d69a39'\
-         '24a1ad9acf709fb75d4aa836e37fdecc')
+source=(http://www.apache.org/dist/httpd/modpython/mod_python-$pkgver.tgz
+	compile.patch)
+md5sums=('a3b0150176b726bd2833dac3a7837dc5'
+         '4786c158223c2d3a94f3b6e69826b522')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  #patch -Np1 -i ../apache22.patch || return 1
-  #patch -p1 -i ../mod_python.patch || return 1
-  autoconf
-  automake
+  patch -Np0 -i ../compile.patch || return 1
+  autoreconf
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install

Added: compile.patch
===================================================================
--- compile.patch	                        (rev 0)
+++ compile.patch	2008-07-10 19:40:54 UTC (rev 4841)
@@ -0,0 +1,11 @@
+--- src/connobject.c	2006-12-03 04:36:37.000000000 +0000
++++ src/connobject.c.new	2008-07-10 19:35:36.000000000 +0000
+@@ -139,7 +139,7 @@
+     bytes_read = 0;
+ 
+     while ((bytes_read < len || len == 0) &&
+-           !(b == APR_BRIGADE_SENTINEL(b) ||
++           !(b == APR_BRIGADE_SENTINEL(bb) ||
+              APR_BUCKET_IS_EOS(b) || APR_BUCKET_IS_FLUSH(b))) {
+ 
+         const char *data;





More information about the arch-commits mailing list